﻿using System.Drawing;
using System.Windows.Forms;

using Steema.TeeChart.Drawing;
using Steema.TeeChart.Styles;

namespace TestProject
{
    /// <summary>
    /// 메인 폼
    /// </summary>
    public partial class MainForm : Form
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainForm()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainForm()
        {
            InitializeComponent();

            Text = "Line 클래스 : Pointer 속성을 사용해 포인터 스타일 설정하기";

            this.tChart.Panel.Pen = new ChartPen(Color.Black);

            Line line = new Line(tChart.Chart);

            line.ColorEach         = true;
            line.Pointer.Style     = PointerStyles.Hexagon;
            line.Pointer.HorizSize = 10;
            line.Pointer.VertSize  = 10;
            line.Pointer.Visible   = true;

            line.FillSampleValues(10);
        }

        #endregion
    }
}